---
title: Get Subscription Status
slug: data-platform/api/get-subscription-status
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "UF6CMssmy9CYlnEcihk1x",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.us1.odp.optimizely.com/v3/lists/subscriptions",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/lists/subscriptions",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/lists/subscriptions",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/lists/subscriptions",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Get Subscription Status",
    "description": "<p>Get the subscription status of a customer identifier to an Optimizely Data Platform (ODP) list.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "identifiers",
          "type": "object",
          "example": "{\"email\":\"customer@email.com\"}",
          "examples": [
            {
              "label": "Email Identifier",
              "value": "{\"email\":\"customer@email.com\"}"
            }
          ],
          "description": "<p>The identifier type, for example \"email\".</p>",
          "customType": "map<string, string>",
          "schema": []
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Accepted",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{ \"customer\": { \"email\": \"sample@test.com\" }, \"opted_in\": true, \"explicit_opt_in\": true, \"subscriptions\": [ { \"name\": \"True List Name\", \"list_id\": \"sample_list\", \"subscribed\": true, \"ts_status_updated\": 1583868571 } ] }",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter, valid options are comma, tab or pipe\"}]}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{  \"message\": \"Forbidden\"}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{ \"title\": \"Not Found\", \"status\": 404, \"timestamp\": \"2023-07-10T21:07:10-05:00\", \"detail\": { \"message\": \"Customer with email sample@test.com was not found\" } }",
            "description": "",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "wMOMRMHa7XlcRiDoJUGA3",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.us1.odp.optimizely.com/v3/lists/subscriptions?identifiers={%22email%22%3A%22customer%40email.com%22}' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "FmGxM4A0B6FixBiKb0VPN",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/lists/subscriptions?identifiers={\\\"email\\\":\\\"customer@email.com\\\"}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "siYPo-cW0B_yhpYLhe5nN",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/lists/subscriptions?identifiers={\\\"email\\\":\\\"customer@email.com\\\"}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "v-W8cu0FKw6ZQm8GEN9ku",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/lists/subscriptions?identifiers={\\\"email\\\":\\\"customer@email.com\\\"}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "wMOMRMHa7XlcRiDoJUGA3"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Accepted\n\"{ \\\"customer\\\": { \\\"email\\\": \\\"sample@test.com\\\" }, \\\"opted_in\\\": true, \\\"explicit_opt_in\\\": true, \\\"subscriptions\\\": [ { \\\"name\\\": \\\"True List Name\\\", \\\"list_id\\\": \\\"sample_list\\\", \\\"subscribed\\\": true, \\\"ts_status_updated\\\": 1583868571 } ] }\""
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n\"{\\\"title\\\":\\\"Bad Request\\\",\\\"status\\\":400,\\\"timestamp\\\":\\\"2018-09-10T21:07:10-05:00\\\",\\\"detail\\\":{\\\"invalids\\\":[{\\\"field\\\":\\\"delimiter\\\",\\\"reason\\\":\\\"Unrecognized delimiter, valid options are comma, tab or pipe\\\"}]}}\""
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n\"{  \\\"message\\\": \\\"Forbidden\\\"}\""
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n\"{ \\\"title\\\": \\\"Not Found\\\", \\\"status\\\": 404, \\\"timestamp\\\": \\\"2023-07-10T21:07:10-05:00\\\", \\\"detail\\\": { \\\"message\\\": \\\"Customer with email sample@test.com was not found\\\" } }\""
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}